import sqlite3
import  string,base64
import Encryption

#create new db
conn = sqlite3.connect('CrapsDB.db')

# create Cursor to execute queries
cur = conn.cursor()


# drop table from database
try:
    conn.execute('''Drop table Player''')
    # save changes
    conn.commit()
    print('Player table dropped.')
except:
    print('Player table did not exist')



# create table in database
cur.execute('''CREATE TABLE PLAYER(
Player_ID INTEGER PRIMARY KEY NOT NULL,
Name TEXT NOT NULL,
Age INTEGER NOT NULL,
Money REAL NOT NULL,
Password TEXT NOT NULL,
UserLevel INTEGER NOT NULL);
''')

# save changes
conn.commit()
print('Player Table created.')

nm = str(Encryption.cipher.encrypt(b'Princess Diana').decode("utf-8"))
Pwd = str(Encryption.cipher.encrypt(b'test123').decode("utf-8"))
#print(Pwd)
cur.execute("Insert Into PLAYER (Name,Age,Money,Password,UserLevel) Values (?, ?, ?,?,1)",(nm, 28, 1999999888,Pwd))
conn.commit()

nm = str(Encryption.cipher.encrypt(b'Henry Thorgood').decode("utf-8"))
Pwd = str(Encryption.cipher.encrypt(b'test456').decode("utf-8"))
#print(Pwd)
cur.execute("Insert Into PLAYER (Name,Age,Money,Password,UserLevel) Values (?, ?, ?,?,2)",(nm, 56, 39888,Pwd))
conn.commit()


nm = str(Encryption.cipher.encrypt(b'Tina Fairchild').decode("utf-8"))
Pwd = str(Encryption.cipher.encrypt(b'test789').decode("utf-8"))
#print(Pwd)
cur.execute("Insert Into PLAYER (Name,Age,Money,Password,UserLevel) Values (?, ?, ?,?,2)",(nm, 38, 79888,Pwd))

conn.commit()

# iterate over the rows
for row in cur.execute('SELECT * FROM Player;'):
    print(row)


# close database connection
conn.close()
print('Connection closed.')
